Subject: bug#52183: (29.0.50; Empty space in the mode line if server-mode is active)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Nov 2021 18:52:54 +0200

> Date: Tue, 30 Nov 2021 09:57:51 +0100
> From:  Davide Masserut via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Here is the message that I thought I had sent to emacs-devel (I pressed
> the button "Reply to" and at the time I was not subscribed):
> 
> 
> > Seems like the "@" thingy on client frames' mode-line causes the
> > preceding mode-line-mule-info to be padded to 5-char width, for some
> > reason.
> 
> I think the issue is here [1].
> Moving mode-line-mule-info and mode-line-client
> before  "(list :propertize ..." seems to fix the problem.

But that would defeat the purpose of that propertize, I think?  So it
isn't the right solution.  And we need to understand the root cause of
this anyway, before we devise a solution.  If you did understand it,
please describe the details.

> BTW, does emacs-devel block email from people who are not subscribed to
> the list?

No.  Why do you ask?